Bug 159294

Summary: [lem] em watchdog timeouts
Product: Base System Reporter: Kurt Jaeger <pi>
Component: kernAssignee: freebsd-net mailing list <net>
Status: Open ---    
Severity: Affects Only Me CC: pi, sbruno
Priority: Normal Keywords: IntelNetworking
Version: 8.2-STABLE   
Hardware: Any   
OS: Any   

Description Kurt Jaeger 2011-07-29 13:50:10 UTC
Jul 29 09:11:58 gk-intern kernel: em4: Watchdog timeout -- resetting
Jul 29 09:11:58 gk-intern kernel: wan0: link state changed to DOWN
Jul 29 09:12:00 gk-intern kernel: wan0: link state changed to UP

em0@pci0:1:0:0: class=0x020000 card=0x00008086 chip=0x10d38086 rev=0x00 hdr=0x00
    vendor     = 'Intel Corporation'
    device     = 'Intel 82574L Gigabit Ethernet Controller (82574L)'
    class      = network
    subclass   = ethernet
    bar   [10] = type Memory, range 32, base rxfd9c0000, size 131072, enabled
    bar   [18] = type I/O Port, range 32, base rx9f00, size 32, enabled
    bar   [1c] = type Memory, range 32, base rxfd9fc000, size 16384, enabled

[...]

em4@pci0:5:10:0:        class=0x020000 card=0x10768086 chip=0x10768086 rev=0x05 hdr=0x00
    vendor     = 'Intel Corporation'
    device     = 'Gigabit Ethernet Controller (82541EI)'
    class      = network
    subclass   = ethernet
em5@pci0:5:11:0:        class=0x020000 card=0x10768086 chip=0x10768086 rev=0x05 hdr=0x00
    vendor     = 'Intel Corporation'
    device     = 'Gigabit Ethernet Controller (82541EI)'
    class      = network
    subclass   = ethernet

There are other em interfaces in this box, but they do not have
the timeout problem:

dev.em.0.%desc: Intel(R) PRO/1000 Network Connection 7.2.3
dev.em.1.%desc: Intel(R) PRO/1000 Network Connection 7.2.3
dev.em.2.%desc: Intel(R) PRO/1000 Network Connection 7.2.3
dev.em.3.%desc: Intel(R) PRO/1000 Network Connection 7.2.3
dev.em.4.%desc: Intel(R) PRO/1000 Legacy Network Connection 1.0.3
dev.em.5.%desc: Intel(R) PRO/1000 Legacy Network Connection 1.0.3

Why are em4 and 5 using the Legacy ?

Fix: 

no solution as of now.
How-To-Repeat: 	Good question! It happens a few times a day
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2011-07-29 21:42:18 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-net

Over to maintainer(s).
Comment 2 Sean Bruno freebsd_committer 2015-06-29 18:33:09 UTC
(In reply to pi from comment #0)
There has been a lot of changes to em(4) handling in FreeBSD.

I have not, however, touched lem(4) which is what is controlling the 82541EI.  Does this still happen for you?  I can take a look at the watchdog handling and see if it can be fixed with the same code that em(4) has used.
Comment 3 Kurt Jaeger freebsd_committer 2015-06-29 19:11:53 UTC
I still have a box with those interfaces, but I have avoided using em4 and em5
on this box.

It now says:

dev.em.4.%desc: Intel(R) PRO/1000 Legacy Network Connection 1.0.6

Hmm, if I have to reproduce the problem, this will take some time.
Comment 4 Sean Bruno freebsd_committer 2015-06-29 19:18:27 UTC
(In reply to Kurt Jaeger from comment #3)
I'll try to do the same here with my ATOM test box.
Comment 5 Eitan Adler freebsd_committer freebsd_triage 2018-05-28 19:41:40 UTC
batch change:

For bugs that match the following
-  Status Is In progress 
AND
- Untouched since 2018-01-01.
AND
- Affects Base System OR Documentation

DO:

Reset to open status.


Note:
I did a quick pass but if you are getting this email it might be worthwhile to double check to see if this bug ought to be closed.